Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class TabPanelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.DivPanelRenderer
                  org.richfaces.renderkit.html.TogglePanelRenderer
                      org.richfaces.renderkit.html.TabPanelRenderer

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

    public class TabPanelRenderer

extends TogglePanelRenderer

Since:
  2010-08-24
Author:
  akolonitsky

Field Summary

Fields inherited from class org.richfaces.renderkit.html.TogglePanelRenderer
`BEFORE_ITEM_CHANGE, ITEM_CHANGE, VALUE_POSTFIX`

Constructor Summary
`TabPanelRenderer()`

Method Summary
`protected static void` | `addOnCompleteParam(javax.faces.context.FacesContext context, String newValue, String panelId)`
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter w, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`protected org.ajax4jsf.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected String` | `getStyle(javax.faces.component.UIComponent component)`
`protected String` | `getStyleClass(javax.faces.component.UIComponent component)`
`protected boolean` | `isSubmitted(javax.faces.context.FacesContext context, AbstractTogglePanel panel)`

Methods inherited from class org.richfaces.renderkit.html.TogglePanelRenderer
`addEventOption, decodeMetaComponent, doDecode, doEncodeChildren, encodeMetaComponent, getAjaxOptions, partialEnd, partialStart`

Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer
`attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, styleElement, writeJavaScript`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabPanelRenderer

    public TabPanelRenderer()

Method Detail

### addOnCompleteParam

    protected static void addOnCompleteParam(javax.faces.context.FacesContext context,
                                             String newValue,
                                             String panelId)

### isSubmitted

    protected boolean isSubmitted(javax.faces.context.FacesContext context,
                                  AbstractTogglePanel panel)

  Overrides:
    `isSubmitted` in class `TogglePanelRenderer`

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter w,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `TogglePanelRenderer`
  Throws:
    `IOException`

### getStyle

    protected String getStyle(javax.faces.component.UIComponent component)

  Overrides:
    `getStyle` in class `DivPanelRenderer`

### getStyleClass

    protected String getStyleClass(javax.faces.component.UIComponent component)

  Overrides:
    `getStyleClass` in class `TogglePanelRenderer`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `TogglePanelRenderer`
  Throws:
    `IOException`

### getScriptObject

    protected org.ajax4jsf.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                               javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObject` in class `TogglePanelRenderer`

### getScriptObjectOptions

    protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)

  Overrides:
    `getScriptObjectOptions` in class `TogglePanelRenderer`

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `TogglePanelRenderer`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.